postgresql-9.5-plr_8.3.0.16-1_amd64.deb


Advertisement

Description

postgresql-9.5-plr - Procedural language interface between PostgreSQL and R

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: postgresql-9.5-plr
Package version: 8.3.0.16
Package release: 1
Package architecture: amd64
Package type: deb
Installed size: 226 B
Download size: 47.87 KB
Official Mirror: archive.ubuntu.com
R is a language and environment for statistical computing and graphics, providing a wide variety of statistical and graphical techniques (linear and nonlinear modelling, statistical tests, time series analysis, classification, clustering, and so on). PostgreSQL is an open source SQL database server. This package provides a procedural language interface to R from PostgreSQL. Procedural languages are used to write functions which can be called in database queries.

Alternatives

Provides

  • postgresql-plr

    Download

    Source package: plr

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install postgresql-9.5-plr deb package:
      # sudo apt-get install postgresql-9.5-plr

    Files

    • /usr/lib/postgresql/9.5/lib/plr.so
    • /usr/share/doc/postgresql-9.5-plr/README.Debian
    • /usr/share/doc/postgresql-9.5-plr/changelog.Debian.gz
    • /usr/share/doc/postgresql-9.5-plr/copyright
    • /usr/share/doc/postgresql-9.5-plr/index.html
    • /usr/share/doc/postgresql-9.5-plr/plr-aggregate-funcs.html
    • /usr/share/doc/postgresql-9.5-plr/plr-data.html
    • /usr/share/doc/postgresql-9.5-plr/plr-func-naming.html
    • /usr/share/doc/postgresql-9.5-plr/plr-funcs.html
    • /usr/share/doc/postgresql-9.5-plr/plr-global-data.html
    • /usr/share/doc/postgresql-9.5-plr/plr-install.html
    • /usr/share/doc/postgresql-9.5-plr/plr-license.html
    • /usr/share/doc/postgresql-9.5-plr/plr-module-funcs.html
    • /usr/share/doc/postgresql-9.5-plr/plr-overview.html
    • /usr/share/doc/postgresql-9.5-plr/plr-pgsql-support-funcs.html
    • /usr/share/doc/postgresql-9.5-plr/plr-spi-rsupport-funcs-compat.html
    • /usr/share/doc/postgresql-9.5-plr/plr-spi-rsupport-funcs-normal.html
    • /usr/share/doc/postgresql-9.5-plr/plr-spi-rsupport-funcs.html
    • /usr/share/doc/postgresql-9.5-plr/plr-trigger-func.html
    • /usr/share/doc/postgresql-9.5-plr/plr-window-funcs.html
    • /usr/share/doc/postgresql-doc-9.5/extension/README.plr
    • /usr/share/postgresql/9.5/extension/plr--8.3.0.16.sql
    • /usr/share/postgresql/9.5/extension/plr--unpackaged--8.3.0.16.sql
    • /usr/share/postgresql/9.5/extension/plr.control
    • /usr/share/postgresql/9.5/extension/plr.sql

    Changelog

    2016-01-10 - Christoph Berg <myon@debian.org> plr (1:8.3.0.16-1) unstable; urgency=medium * New upstream version with 9.5 support. * Don't remove docs on clean. * Remove special handling for libR on lucid.

    2014-09-05 - Christoph Berg <myon@debian.org> plr (1:8.3.0.15-5) UNRELEASED; urgency=medium * Work around missing /usr/lib/libR.so on lucid. Code was already present in debian/postinst, but not installed into all binaries. Patch by Robert Stone, thanks!

    2014-07-25 - Christoph Berg <myon@debian.org> plr (1:8.3.0.15-4) unstable; urgency=medium * Upload to unstable for 9.4.

    2014-07-05 - Christoph Berg <myon@debian.org> plr (1:8.3.0.15-3) experimental; urgency=medium * B-D on pg-common >= 158~ in experimental (9.3+9.4). * Drop quilt B-D. * Set team as maintainer.

    2014-02-10 - Christoph Berg <christoph.berg@credativ.de> plr (1:8.3.0.15-2) unstable; urgency=medium [ Martin Pitt ] * Add postgresql-server-dev-all and pkg-config test dependencies as the test uses pg_buildext and pkg-config. * debian/tests/installcheck: Temporarily modify test script to use CREATE EXTENSION instead of sourcing the build tree's plr.psql. We want to test the installed package and avoid building. [ Christoph Berg ] * Add expected/plr_1.out to catch the 8.4 test results.

    2013-08-16 - Christoph Berg <myon@debian.org> plr (1:8.3.0.15-1) unstable; urgency=low * New upstream version. * Use "8.4+" in debian/pgversions and B-D on postgresql-server-dev-all >= 148. Closes: #725572.

    2013-03-31 - Christoph Berg <myon@debian.org> plr (1:8.3.0.14-1) experimental; urgency=low * New upstream version.

    2013-01-31 - Christoph Berg <myon@debian.org> plr (1:8.3.0.13.1-1) experimental; urgency=low [ Andreas Tille ] * debian/control[.in] - Fixed Vcs fields - Standards-Version: 3.9.3 (no changes needed) [ Christoph Berg ] * New upstream version. * Add autopkgtest regression test. (Expected failure on 8.4.) * debian/pgversions: Add 9.2 and 9.3. * debian/rules: Use system pg_buildext again (>= 140).

    2011-10-06 - Christoph Berg <myon@debian.org> plr (1:8.3.0.13-1) unstable; urgency=low * Take over as maintainer, thanks to Andreas for the permission! * New upstream version. * Rewrite debian/rules to build for multiple PostgreSQL versions using pg_buildext. Closes: #639473 * Setting RPATH seems to be redundant, remove it * As debian/rules doesn't set R_HOME, remove the Makefile patch around it.

    2010-02-10 - Andreas Tille <tille@debian.org> plr (1:8.3.0.9-1) unstable; urgency=low * New upstream version * Standards-Version: 3.8.4 (no changes needed) * Versioned depends from r-base-core Closes: #544644 * Probably because of the upstream version number the reporter of bug #559586 assumed that the package would be related to PostgreSQL version 8.3. According to upstream it works with both PostgreSQL 8.3 *and* 8.4 but the package is build to work with version 8.4 exclusively since latest upload. Closes: #559586

    Advertisement
    Advertisement